Subject: RE: [Sip] More on dial plans and user=phones

From: "Christer Holmberg (SE/LMF)" <[email-masked]>
Date: Tue, 26 Aug 2003 06:50:08 +0200

Hi,

If user=phone only means "this is a dial string", but have no syntax assoicated with it (eg telephone-subscriber), then I am not sure the parameter is needed. Instead, a dial string will be like any user identifier.

However, once again, that would mean that virtual separators etc can not be used in a SIP-URI, which must be taken into consideration when mapping from TEL-URL to SIP-URI. 

Also, does that mean that a gateway will have to be able to, using Dean's example, understand both +19735551212 and 0119735551212? Or, can we still have rules defining how dial strings are represented in SIP-URIs - no matter if we use telephone-subscriber or something else...

Regards,

Christer Holmberg
Ericsson Finland

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: 25. elokuuta 2003 19:13
> To: [email-masked]
> Subject: [Sip] More on dial plans and user=phones
> 
> 
> 
> It's all either far more complicated or far simpler than we 
> seem to think,
> and I'm confused as to which of the above is true.
> 
> Let's talk about a "real" system -- my office, where we've 
> been running
> everyday telephony using SIP phones and proxies and gateways 
> for > 3 years.
> We do phone-number routing, inbound and outbound from PSTN, 
> and user-name
> routing.
> 
> But I'm not sure I've ever seen a user=phone, and I don't 
> think the system
> would know what to do if it did.
> 
> Assume than an INVITE arrives at my proxy with a request URI looking
> something like [email-masked].
> 
> Is this a phone number or a user? Dunno, yet.
> 
> We look in the proxy's configuration and see if 9724735455 is 
> a defined
> user. If it is, we route the number according to the user's 
> CPL. If not, we
> treat it as a phone number and consult the proxy's dial plan table.
> 
> This works for inbound, outbound, complex forwarding, calls 
> through other
> people's proxies (like iptel.org, which I use from the 
> house), and so on.
> 
> Now: here's the tricky part -- as a user, I have to have some level of
> understanding of the dial plan that the proxy understands. 
> For example, I
> know that if I want to dial Dallas phone number 9725551212, I 
> enter exactly
> those digits, but if I want New Jersey's 9735551212, then I 
> have to add a
> leading 1 (19735551212), and if I want international 
> +19735551212, then I
> dial 0119735551212. Oddly enough, this makes the whole thing 
> work just fine
> without downloading any dial plans or using any tel-URIs or 
> user=phones.
> 
> If I wanted to use iptel.org's routing, I'd set my phone up to send
> [email-masked] instead, and I'd have to understand the dialing plan
> imposed by their proxy.
> 
> This points something out: IF we do download dialing plans, 
> then the dialing
> plan has to stay synched between the phone and its default 
> proxy, applies
> ONLY to calls made through the default proxy, and MUST BE ignored if a
> different target domain is entered by the user.
> 
> --
> Dean
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip